Test::Set::Exec::Wait Class Reference

Simple test for wait (set variables). More...

## Public Member Functions

| Wait (int n, bool sf0)
| Create and register test.
virtual bool | solution (const SetAssignment &x) const
| Check whether x is solution.
virtual void | post (Gecode::Space &home, Gecode::SetVarArray &x, Gecode::IntVarArray &)
| Post wait on x.
Public Member Functions inherited from Test::Set::SetTest
| SetTest (const std::string &s, int a, const Gecode::IntSet &d, bool r=false, int w=0)
| Constructor.
virtual void | post (Gecode::Space &, Gecode::SetVarArray &, Gecode::IntVarArray &, Gecode::Reify)
| Post reified propagator.
virtual bool | run (void)
| Perform test.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Static Public Member Functions

static void | c (Gecode::Space &_home)
| Continuation to be executed.
static std::string | str (Gecode::SetRelType srt)
| Map set relation to string.
static std::string | str (Gecode::SetOpType srt)
| Map set operation to string.
static std::string | str (int i)
| Map integer to string.
static std::string | str (const Gecode::IntArgs &i)
| Map integer array to string.
Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.

## Protected Attributes

bool | sf
| Whether to use std::function.
Protected Attributes inherited from Test::Set::SetTest
bool | disabled
| Whether to perform full tests for disabled propagators.
bool | testsubsumed
| Whether to check for subsumption.

## Additional Inherited Members

Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Simple test for wait (set variables).

Definition at line 47 of file exec.cpp.

## Constructor & Destructor Documentation

## Wait()

Test::Set::Exec::Wait::Wait | ( | int | n,
|  | bool | sf0 )

inline

Create and register test.

Definition at line 53 of file exec.cpp.

## Member Function Documentation

## solution()

virtual bool Test::Set::Exec::Wait::solution | ( | const SetAssignment & | x | ) | const

inline virtual

Check whether x is solution.

Implements Test::Set::SetTest.

Definition at line 58 of file exec.cpp.

## post()

virtual void Test::Set::Exec::Wait::post | ( | Gecode::Space & | home,
|  | Gecode::SetVarArray & | x,
|  | Gecode::IntVarArray & | )

inline virtual

Post wait on x.

Implements Test::Set::SetTest.

Definition at line 63 of file exec.cpp.

## c()

void Test::Set::Exec::Wait::c | ( | Gecode::Space & | _home | ) |

inline static

Continuation to be executed.

Definition at line 81 of file exec.cpp.

## Member Data Documentation

## sf

bool Test::Set::Exec::Wait::sf

protected

Whether to use std::function.

Definition at line 50 of file exec.cpp.

The documentation for this class was generated from the following file:

- test/set/exec.cpp